Imports System.Data

Partial Class Air
    Inherits System.Web.UI.UserControl
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    End Sub


    Function GetTable() As DataTable
        ' Create new DataTable instance.
        Dim table As New DataTable
        ' Create four typed columns in the DataTable.
        table.Columns.Add("Dosage", GetType(Integer))
        table.Columns.Add("Drug", GetType(String))
        table.Columns.Add("Patient", GetType(String))
        table.Columns.Add("Date", GetType(DateTime))
        ' Add five rows with those columns filled in the DataTable.
        table.Rows.Add(25, "Indocin", "John", DateTime.Now)
        table.Rows.Add(50, "Enebrel", "Mike", DateTime.Now)
        table.Rows.Add(10, "Hydralazine", "Jonathan", DateTime.Now)
        table.Rows.Add(21, "Combivent", "Chris", DateTime.Now)
        table.Rows.Add(100, "Dilantin", "Rob", DateTime.Now)
        Return table
    End Function

    Private Sub rgAir_NeedDataSource(sender As Object, e As Telerik.Web.UI.GridNeedDataSourceEventArgs) Handles rgAir.NeedDataSource
        rgAir.DataSource = GetTable()
    End Sub

End Class
